deluge (2.2.1~dev0+20250824-3) sid; urgency=medium

  * Slightly simplifying postrm maintainerscript.
  * Updating mangling in watch file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 08 Feb 2026 10:40:49 +0100

deluge (2.2.1~dev0+20250824-2) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Updating years in copyright for 2026.
  * No changes required for removal of python3-pkg-resources, just a new
    upload is enough (Closes: #1125831).

 -- Daniel Baumann <daniel@debian.org>  Mon, 26 Jan 2026 10:17:34 +0100

deluge (2.2.1~dev0+20250824-1) sid; urgency=medium

  * Updating watch file to version 5.
  * Merging upstream version 2.2.1~dev0+20250824.
  * Wrap and sorting debian files.
  * Updating version mangling in rules to replace invalid symbols.

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Nov 2025 18:42:56 +0100

deluge (2.2.0-3) sid; urgency=medium

  * Updating debhelper install files after removal of dh_movetousr, thanks
    to Michael Biebl <biebl@debian.org> (Closes: #1121275).

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Nov 2025 04:34:50 +0100

deluge (2.2.0-2) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Removing dh_movetousr from rules, not needed anymore.

 -- Daniel Baumann <daniel@debian.org>  Tue, 18 Nov 2025 09:14:15 +0100

deluge (2.2.0-1) sid; urgency=medium

  * Simplifying watch file.
  * Merging upstream version 2.2.0.
  * Harmonizing overwriting of upstream version string with dpkg-
    parsechangelog.

 -- Daniel Baumann <daniel@debian.org>  Tue, 29 Apr 2025 04:19:26 +0200

deluge (2.1.2~dev0+20250301-2) sid; urgency=medium

  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Mar 2025 19:27:32 +0100

deluge (2.1.2~dev0+20250301-1) sid; urgency=medium

  * Merging upstream version 2.1.2~dev0+20250301.

 -- Daniel Baumann <daniel@debian.org>  Fri, 21 Mar 2025 01:38:41 +0100

deluge (2.1.2~dev0+20240910-6) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 21:04:44 +0100

deluge (2.1.2~dev0+20240910-5) sid; urgency=medium

  * Correcting public-domain identifier in copyright.
  * Updating vcs fields.
  * Updating my email address.
  * Trimming debian changelog.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Mon, 17 Feb 2025 07:48:55 +0100

deluge (2.1.2~dev0+20240910-4) sid; urgency=medium

  * Also correcting second occurence of wrong python3-legacy-cgi depends
    (Closes: #1088859).

 -- Daniel Baumann <daniel@debian.org>  Mon, 02 Dec 2024 08:03:03 +0100

deluge (2.1.2~dev0+20240910-3) sid; urgency=medium

  * Correcting python3-legacy-cgi depends (Closes: #1087842).

 -- Daniel Baumann <daniel@debian.org>  Tue, 19 Nov 2024 15:03:04 +0100

deluge (2.1.2~dev0+20240910-2) sid; urgency=medium

  * Adding depends to python3-legacy-cgi (Closes: #1084656).

 -- Daniel Baumann <daniel@debian.org>  Sun, 17 Nov 2024 07:06:01 +0100

deluge (2.1.2~dev0+20240910-1) sid; urgency=medium

  * Merging upstream version 2.1.2~dev0+20240910.
  * Removing manual python3-pkg-resources depends (Closes: #1083354).

 -- Daniel Baumann <daniel@debian.org>  Sat, 09 Nov 2024 12:37:26 +0100

deluge (2.1.2~dev0+20240219-3) sid; urgency=medium

  * Moving systemd units to /usr (Closes: #1073723).

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Jul 2024 07:20:17 +0200

deluge (2.1.2~dev0+20240219-2) sid; urgency=medium

  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Jul 2024 06:28:00 +0200

deluge (2.1.2~dev0+20240219-1) sid; urgency=medium

  * Merging upstream version 2.1.2~dev0+20240219.
  * Updating copyright for 2024.

 -- Daniel Baumann <daniel@debian.org>  Wed, 06 Mar 2024 00:21:29 +0100

deluge (2.1.2~dev0+20240121-1) sid; urgency=medium

  * Merging upstream version 2.1.2~dev0+20240121.

 -- Daniel Baumann <daniel@debian.org>  Wed, 31 Jan 2024 07:05:10 +0100

deluge (2.1.2~dev0+20231127-1) sid; urgency=medium

  * Merging upstream version 2.1.2~dev0+20231127.
  * Building with the default python version only.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Dec 2023 12:13:14 +0100

deluge (2.1.2~dev0+20230918-1) sid; urgency=medium

  * Merging upstream version 2.1.2~dev0+20230918.
  * Adding missing dependency to passwd for using groupadd in maintainer
    scripts.

 -- Daniel Baumann <daniel@debian.org>  Thu, 26 Oct 2023 18:55:32 +0200

deluge (2.1.2~dev0+20230827-1) sid; urgency=medium

  * Merging upstream version 2.1.2~dev0+20230827.

 -- Daniel Baumann <daniel@debian.org>  Wed, 13 Sep 2023 12:26:20 +0200

deluge (2.1.2~dev0+20230529-4) sid; urgency=medium

  * Manually removing some files that pybuild doesn't clean up during
    build (Closes: #1044344).
  * Removing generated files to fix FTBFS when build twice in a row
    (Closes: #1044344).

 -- Daniel Baumann <daniel@debian.org>  Mon, 14 Aug 2023 10:31:23 +0200

deluge (2.1.2~dev0+20230529-3) sid; urgency=medium

  * Removing obsolete manual dependency on python3-six, thanks to
    Alexandre Detiste <alexandre.detiste@gmail.com> (Closes: #1040369).

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Jul 2023 02:06:18 +0200

deluge (2.1.2~dev0+20230529-2) sid; urgency=medium

  * Updating watch file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 Jun 2023 16:26:46 +0200

deluge (2.1.2~dev0+20230529-1) sid; urgency=medium

  * Merging upstream version 2.1.2~dev0+20230529.
  * Adding build-depends to pybuild-plugin-pyproject for PEP517 support.
  * Updating packaging for new upstream version.
  * Removing unused depends on lsb-base.

 -- Daniel Baumann <daniel@debian.org>  Sat, 24 Jun 2023 19:40:46 +0200

deluge (2.1.1-5) sid; urgency=medium

  * Updating watch file.

 -- Daniel Baumann <daniel@debian.org>  Sat, 24 Jun 2023 14:38:05 +0200

deluge (2.1.1-4) sid; urgency=medium

  * Uploading without changes after bookworm release.

 -- Daniel Baumann <daniel@debian.org>  Sun, 11 Jun 2023 14:08:24 +0200

deluge (2.1.1-3) experimental; urgency=medium

  * Adding note about CVE-2021-3427 to changelog for 2.1.1-1 upload.
  * Removing cruft from rules file.
  * Removing gir1.2-appindicator3-0.1 from recommends as it's been
    replaced with ayatana indicators which is currently not supported.
  * Removing superseeded deluged initscript (Closes: #760235).

 -- Daniel Baumann <daniel@debian.org>  Fri, 24 Feb 2023 16:19:08 +0100

deluge (2.1.1-2) experimental; urgency=medium

  * Correcting function typo in deluged postrm script.
  * Silencing user and group removals in deluged postrm.
  * Also creating deluged group if needed in deluged postinst script.
  * Using variables for username and groupname in maintainer scripts.

 -- Daniel Baumann <daniel@debian.org>  Sun, 19 Feb 2023 18:09:47 +0100

deluge (2.1.1-1) experimental; urgency=medium

  * Merging upstream version 2.1.1 (Closes: #1026291):
    - fixes XSS vulnerability through a crafted torrent file.
      The the data from torrent files is not properly sanitised as it's
      interpreted directly as HTML. Someone who supplies the user with a
      malicious torrent file can execute arbitrary Javascript code in the
      context of the user's browser session [CVE-2021-3427] (Closes: #1019594).
  * Updating to standards version 4.6.2.
  * Adding Rules-Required-Root field.
  * Updating vcs fields.
  * Updating homepage field.
  * Wrap-and-sorting debian directory.
  * Removing pre-bullseye package relations.
  * Reworking package descriptions.
  * Updating copyright for machine-readable format.
  * Reworking maintainer scripts.
  * Switching from adduser to using required utilities from shadow
    directly.
  * Removing pre-stretch news file.
  * Updating watch file.
  * Reworking rules file.
  * Refreshing release-check.patch.
  * Removing Fix-warning-related-to-gettext.patch, included upstream.
  * Refreshing setuptools-60.patch.
  * Refreshing systemd.patch.
  * Removing obsole menu file.
  * Adding todo file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 19 Feb 2023 17:47:05 +0100

deluge (2.0.3-4) sid; urgency=medium

  * Adopting package (Closes: #995078).

 -- Daniel Baumann <daniel@debian.org>  Sun, 19 Feb 2023 15:54:32 +0100

deluge (2.0.3-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Install upstream-supplied systemd unit files. (Closes: #927197, #966287)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 30 Jan 2023 23:15:03 +0000

deluge (2.0.3-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Support setuptools >= 60. (Closes: #1022491)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Nov 2022 22:37:10 +0200

deluge (2.0.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for ngettext KeyError during deluge-console
    startup. (Closes: #988345)

 -- Adrian Bunk <bunk@debian.org>  Thu, 15 Jul 2021 14:57:18 +0300

deluge (2.0.3-3) unstable; urgency=low

  [ Federico Ceratto ]
  * Trim trailing whitespace.
  * Bump debhelper dependency to >= 10, since that's what is used in
    debian/compat.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.

  [ Andrew Starr-Bochicchio ]
  * debian/control: Add explict depends on python3-libtorrent
    to deluge-console (Closes: #964168).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 27 Jul 2020 18:33:26 -0400

deluge (2.0.3-2) unstable; urgency=medium

  * debian/control:
   - Update version dependency on python3-libtorrent
     to >= 1.1.2.0 (Closes: #950573).
   - Drop transitional packages deluge-torrent and
     deluge-webui (Closes: #878385).
   - Bump Standards-Version to 4.5.0.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 09 Mar 2020 21:09:37 -0400

deluge (2.0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to allow migration to Testing.

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 22 Oct 2019 22:23:47 -0400

deluge (2.0.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces

  [ Andrew Starr-Bochicchio ]
  * d/watch: Update for 2.X location.
  * New upstream release (Closes: #930549, #934603).
   - Ported to Python 3 and GTK+ 3.
  * d/control:
   - Update dependencies for Python 3 and GTK+ 3
     (Closes: #935213, #885880, #912482).
   - Add gir1.2-appindicator3-0.1 recommends.
  * d/patches:
   - Drop fix_pref_show.patch and refresh.
   - Drop vendor-specific patch series file and patch.
  * d/rules:
   - Update for Python 3 build.
   - Disable tests pending pytest-twisted upload.
   - Drop Ubuntu-specific dependency injection.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 25 Aug 2019 14:56:38 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog deluge-common`.
